package cn.com.qmth.stmms.biz.report.utils.unit;

import cn.com.qmth.stmms.biz.exam.model.ExamStudent;

public class BaseCounter {

    public int totalCount;

    public int absentCount;

    public int breachCount;

    public int realityCount;

    public void process(ExamStudent student) {
        totalCount++;
        if (student.isAbsent() || !student.isUpload()) {
            absentCount++;
        }
        if (student.isUpload() && !student.isAbsent() && !student.isBreach()) {
            realityCount++;
        }
        if (student.isBreach()) {
            breachCount++;
        }
    }
}
